> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Domains

> List AgentMail domains configured for the authenticated account.



## OpenAPI

````yaml openapi/agentmail.json GET /agentmail/domains
openapi: 3.1.0
info:
  title: AgentMail API
  version: 1.0.0
  description: >-
    AgentMail email API endpoints exposed through the AIsa unified gateway.
    Adapted from the upstream docs.agentmail.to OpenAPI spec.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - Bearer: []
paths:
  /agentmail/domains:
    get:
      tags:
        - AgentMail
      summary: List Domains
      description: List AgentMail domains configured for the authenticated account.
      operationId: get_agentmail_domains
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type__Limit'
        - name: page_token
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type__PageToken'
        - name: ascending
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type__Ascending'
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response with status 200
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_domains_ListDomainsResponse'
      security:
        - Bearer: []
components:
  schemas:
    type__Limit:
      type: integer
      description: Limit of number of items returned.
      title: Limit
    type__PageToken:
      type: string
      description: Page token for pagination.
      title: PageToken
    type__Ascending:
      type: boolean
      description: Sort in ascending temporal order.
      title: Ascending
    type_domains_ListDomainsResponse:
      type: object
      properties:
        count:
          $ref: '#/components/schemas/type__Count'
        limit:
          $ref: '#/components/schemas/type__Limit'
        next_page_token:
          $ref: '#/components/schemas/type__PageToken'
        domains:
          type: array
          items:
            $ref: '#/components/schemas/type_domains_DomainItem'
          description: Ordered by `created_at` descending.
      required:
        - count
        - domains
      title: ListDomainsResponse
    type__Count:
      type: integer
      description: Number of items returned.
      title: Count
    type_domains_DomainItem:
      type: object
      properties:
        pod_id:
          $ref: '#/components/schemas/type_pods_PodId'
        domain_id:
          $ref: '#/components/schemas/type_domains_DomainId'
        domain:
          $ref: '#/components/schemas/type_domains_DomainName'
        feedback_enabled:
          $ref: '#/components/schemas/type_domains_FeedbackEnabled'
        client_id:
          $ref: '#/components/schemas/type_domains_ClientId'
        updated_at:
          type: string
          format: date-time
          description: Time at which the domain was last updated.
        created_at:
          type: string
          format: date-time
          description: Time at which the domain was created.
      required:
        - domain_id
        - domain
        - feedback_enabled
        - updated_at
        - created_at
      title: DomainItem
    type_pods_PodId:
      type: string
      description: ID of pod.
      title: PodId
    type_domains_DomainId:
      type: string
      description: The ID of the domain.
      title: DomainId
    type_domains_DomainName:
      type: string
      description: The name of the domain (e.g., `example.com`).
      title: DomainName
    type_domains_FeedbackEnabled:
      type: boolean
      description: Bounce and complaint notifications are sent to your inboxes.
      title: FeedbackEnabled
    type_domains_ClientId:
      type: string
      description: Client ID of domain.
      title: ClientId
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````